/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Arm-2D", "index.html", [
    [ "README {#mainpage} <!-- omit from toc -->", "md__home_runner_work_Arm_2D_Arm_2D_README.html", [
      [ "Overview", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md1", null ],
      [ "Key Messages for You", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md2", null ],
      [ "How to Get Started", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md3", null ],
      [ "Table of Content", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md4", null ],
      [ "Features", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md5", [
        [ "In this version (ver1.1.4)", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md6", null ],
        [ "New Features Planned in the Future", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md7", null ]
      ] ],
      [ "1 Introduction", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md8", [
        [ "1.1 The Background", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md9", null ],
        [ "1.2 The Problems in current solutions", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md10", null ]
      ] ],
      [ "2 The Platform and Dependency", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md11", [
        [ "2.1 Processors and Hardware", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md12", null ],
        [ "2.2 Dependency", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md13", null ]
      ] ],
      [ "3 Examples, Benchmark and Templates", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md14", [
        [ "3.1 Summary", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md15", null ],
        [ "3.2 Benchmark", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md16", null ]
      ] ],
      [ "4 Limitations", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md17", [
        [ "4.1 The Generic Limitations", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md18", null ],
        [ "4.2 The Temporary Limitations", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md19", null ]
      ] ],
      [ "5 Folder Hierarchy", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md20", null ],
      [ "6 Documentation", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md21", null ],
      [ "7 Feedback", "md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md22", null ]
    ] ],
    [ "Getting Started as an Application Designer <!-- omit from toc -->", "md_getting_started_as_an_application_designer.html", [
      [ "1 Before We Start", "md_getting_started_as_an_application_designer.html#autotoc_md24", [
        [ "Table of Content <!-- omit from toc -->", "md_getting_started_as_an_application_designer.html#autotoc_md25", null ]
      ] ],
      [ "2 Step by Step Guidance", "md_getting_started_as_an_application_designer.html#autotoc_md26", [
        [ "2.1 The basic concepts", "md_getting_started_as_an_application_designer.html#autotoc_md27", null ],
        [ "2.2 Port Arm-2D to your local platform", "md_getting_started_as_an_application_designer.html#autotoc_md28", null ],
        [ "2.3 Try the basic Tile Operations and the Layout Assistant", "md_getting_started_as_an_application_designer.html#autotoc_md29", null ],
        [ "2.4 Try example controls", "md_getting_started_as_an_application_designer.html#autotoc_md30", null ],
        [ "2.5 Write a simple GUI Application", "md_getting_started_as_an_application_designer.html#autotoc_md31", null ],
        [ "2.6 Learn the basic method to optimize the performance and memory footprint", "md_getting_started_as_an_application_designer.html#autotoc_md32", null ],
        [ "2.7 Tips for other advanced topics", "md_getting_started_as_an_application_designer.html#autotoc_md33", [
          [ "2.7.1 Benchmarks", "md_getting_started_as_an_application_designer.html#autotoc_md34", null ],
          [ "2.7.2 Asynchronous Mode and RTOS support", "md_getting_started_as_an_application_designer.html#autotoc_md35", null ]
        ] ]
      ] ],
      [ "3 Tips For Exploring the Library", "md_getting_started_as_an_application_designer.html#autotoc_md36", [
        [ "\"I am a library user, I only care about how to use the library\"", "md_getting_started_as_an_application_designer.html#autotoc_md37", null ]
      ] ]
    ] ],
    [ "Getting Started as an Professional User", "md_getting_started_as_a_professional_user.html", null ],
    [ "How to Deploy the Arm-2D Library {#deploy} <!-- omit from toc -->", "md_how_to_deploy_the_arm_2d_library.html", [
      [ "1 How to get the Arm-2D", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md42", null ],
      [ "2 How to Deploy Arm-2D", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md43", [
        [ "Table of Contents", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md41", null ],
        [ "2.1 Deploy Using CMSIS-Pack in MDK", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md44", null ]
      ] ],
      [ "3 Helper Services and Extras", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md45", [
        [ "3.1 Preparation", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md46", null ],
        [ "3.2 Add Display Adapter Service", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md47", null ],
        [ "3.3 Configue the Display Adapter Service", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md48", null ],
        [ "3.4 Implement the External Reference Timer", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md49", null ],
        [ "3.5 Verifying The Porting Result", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md50", null ]
      ] ],
      [ "4 Example Projects", "md_how_to_deploy_the_arm_2d_library.html#autotoc_md51", null ]
    ] ],
    [ "Introduction for Arm-2D {#intro} <!-- omit from toc -->", "md_introduction.html", [
      [ "1 Overview", "md_introduction.html#autotoc_md53", [
        [ "Table of Contents <!-- omit from toc -->", "md_introduction.html#autotoc_md54", null ],
        [ "1.1 What is Arm-2D", "md_introduction.html#autotoc_md55", null ],
        [ "1.2 Target Audiences", "md_introduction.html#autotoc_md56", [
          [ "1.2.1 GUI Service Provider", "md_introduction.html#autotoc_md57", null ],
          [ "1.2.2 Silicon Vendor", "md_introduction.html#autotoc_md58", null ],
          [ "1.2.3 Embedded Application Designers", "md_introduction.html#autotoc_md59", null ]
        ] ],
        [ "1.3 Arm-2D Libraries", "md_introduction.html#autotoc_md60", [
          [ "1.3.1 Standard Software Implementation", "md_introduction.html#autotoc_md61", null ],
          [ "1.3.2 Helium Acceleration", "md_introduction.html#autotoc_md62", null ],
          [ "1.3.4 Third-party Implementation", "md_introduction.html#autotoc_md63", null ],
          [ "1.3.5 Arm Custom Instruction Support", "md_introduction.html#autotoc_md64", null ]
        ] ],
        [ "1.4 Scope and Limitations", "md_introduction.html#autotoc_md65", [
          [ "1.4.1 Scope", "md_introduction.html#autotoc_md66", null ],
          [ "1.4.2 Limitations", "md_introduction.html#autotoc_md67", null ]
        ] ],
        [ "1.5 Operation Categories", "md_introduction.html#autotoc_md68", null ],
        [ "1.6 Folder Structures", "md_introduction.html#autotoc_md69", null ]
      ] ],
      [ "2 Basics", "md_introduction.html#autotoc_md70", [
        [ "2.1 Region", "md_introduction.html#autotoc_md71", [
          [ "2.1.1 Location", "md_introduction.html#autotoc_md72", null ],
          [ "2.1.2 Size", "md_introduction.html#autotoc_md73", null ]
        ] ],
        [ "2.2 Bounding Box Model", "md_introduction.html#autotoc_md74", [
          [ "2.2.1 Absolute Location and Relative Location", "md_introduction.html#autotoc_md75", null ],
          [ "2.2.2 Absolute Region and Relative Region", "md_introduction.html#autotoc_md76", null ]
        ] ],
        [ "2.3 Tile", "md_introduction.html#autotoc_md77", [
          [ "2.3.1 Root Tile", "md_introduction.html#autotoc_md78", null ],
          [ "2.3.2 Child Tile", "md_introduction.html#autotoc_md79", null ],
          [ "2.3.3 Partial Frame Buffer", "md_introduction.html#autotoc_md80", null ]
        ] ],
        [ "2.4 Colour", "md_introduction.html#autotoc_md81", null ],
        [ "2.4 API Usage Modes", "md_introduction.html#autotoc_md82", [
          [ "2.4.1 Synchronous Mode", "md_introduction.html#autotoc_md83", null ],
          [ "2.4.2 Asynchronous Mode", "md_introduction.html#autotoc_md84", null ]
        ] ]
      ] ],
      [ "3 API Summary for commonly used APIs", "md_introduction.html#autotoc_md85", [
        [ "3.1 Tile Operations", "md_introduction.html#autotoc_md86", null ],
        [ "3.2 Colour Space Conversion", "md_introduction.html#autotoc_md87", null ],
        [ "3.3 Alpha Blending and Masks related", "md_introduction.html#autotoc_md88", null ],
        [ "3.4 Transform (Rotation/Scaling)", "md_introduction.html#autotoc_md89", null ],
        [ "3.5 Drawing", "md_introduction.html#autotoc_md90", null ],
        [ "3.6 Filters", "md_introduction.html#autotoc_md91", null ]
      ] ]
    ] ],
    [ "How to Use Layout Assistant <!-- omit from toc -->", "md_how_to_use_layout_assistant.html", [
      [ "1 Basic Concepts", "md_how_to_use_layout_assistant.html#autotoc_md93", [
        [ "1.1 Region", "md_how_to_use_layout_assistant.html#autotoc_md94", [
          [ "1.1.1 Location", "md_how_to_use_layout_assistant.html#autotoc_md95", null ],
          [ "1.1.2 Size", "md_how_to_use_layout_assistant.html#autotoc_md96", null ]
        ] ],
        [ "1.2 Boxing Model", "md_how_to_use_layout_assistant.html#autotoc_md97", [
          [ "1.2.1 Absolute Location and Relative Location", "md_how_to_use_layout_assistant.html#autotoc_md98", null ],
          [ "1.2.2 Absolute Region and Relative Region", "md_how_to_use_layout_assistant.html#autotoc_md99", null ]
        ] ],
        [ "1.2 Canvas", "md_how_to_use_layout_assistant.html#autotoc_md100", null ],
        [ "1.3 Container", "md_how_to_use_layout_assistant.html#autotoc_md101", null ]
      ] ],
      [ "2 Alignment", "md_how_to_use_layout_assistant.html#autotoc_md102", null ],
      [ "3 Layout", "md_how_to_use_layout_assistant.html#autotoc_md103", [
        [ "3.1 Line Stream Layout", "md_how_to_use_layout_assistant.html#autotoc_md104", [
          [ "3.1.1 Horizontal Line Stream", "md_how_to_use_layout_assistant.html#autotoc_md105", null ],
          [ "3.1.2 Vertical Line Stream", "md_how_to_use_layout_assistant.html#autotoc_md106", null ]
        ] ],
        [ "3.2 Stream Layout with Wrapping", "md_how_to_use_layout_assistant.html#autotoc_md107", [
          [ "3.2.1 Horizontal Stream", "md_how_to_use_layout_assistant.html#autotoc_md108", null ],
          [ "3.2.2 Vertical Stream", "md_how_to_use_layout_assistant.html#autotoc_md109", null ]
        ] ]
      ] ]
    ] ],
    [ "How to Use Tile Operations", "use_tile.html", [
      [ "1 Overview", "use_tile.html#autotoc_md110", null ],
      [ "2 Key Scenarios, Patterns and Use Cases", "use_tile.html#autotoc_md111", [
        [ "2.1 Normal Usage", "use_tile.html#autotoc_md112", [
          [ "2.1.1 Window/Panel Clipping", "use_tile.html#autotoc_md113", null ],
          [ "2.1.2 Texture Tiling", "use_tile.html#autotoc_md114", null ]
        ] ],
        [ "2.2 Advanced Usage", "use_tile.html#autotoc_md115", [
          [ "2.2.1 Partial Frame Buffer (PFB)", "use_tile.html#autotoc_md116", null ]
        ] ]
      ] ],
      [ "3 Design Considerations", "use_tile.html#autotoc_md117", null ],
      [ "4 API Table", "use_tile.html#autotoc_md118", [
        [ "4.1 Basic", "use_tile.html#autotoc_md119", [
          [ "4.1.1 <strong>arm_2d_tile_generate_child</strong>", "use_tile.html#autotoc_md120", null ],
          [ "4.1.2 <strong>arm_2d_tile_get_root</strong>", "use_tile.html#autotoc_md121", null ],
          [ "4.1.3 <strong>arm_2d_is_root_tile</strong>", "use_tile.html#autotoc_md122", null ],
          [ "4.1.4 <strong>arm_2d_region_intersect</strong>", "use_tile.html#autotoc_md123", null ],
          [ "4.1.5 <strong>arm_2d_get_address_and_region_from_tile</strong>", "use_tile.html#autotoc_md124", null ]
        ] ],
        [ "4.2 Copy, Fill and X/Y Mirroring", "use_tile.html#autotoc_md125", [
          [ "4.2.1 <strong>arm_2d_rgb16_tile_copy</strong>", "use_tile.html#autotoc_md126", null ],
          [ "4.2.2 <strong>arm_2d_rgb32_tile_copy</strong>", "use_tile.html#autotoc_md127", null ]
        ] ],
        [ "4.3 Colour Keying", "use_tile.html#autotoc_md128", [
          [ "4.3.1 arm_2d_c8bit_tile_copy_with_colour_keying", "use_tile.html#autotoc_md129", null ],
          [ "4.3.2 arm_2d_rbg16_tile_copy_with_colour_keying", "use_tile.html#autotoc_md130", null ],
          [ "4.3.3 arm_2d_rbg32_tile_copy_with_colour_keying", "use_tile.html#autotoc_md131", null ]
        ] ]
      ] ],
      [ "5 Reference", "use_tile.html#autotoc_md132", null ]
    ] ],
    [ "Header Files Summary", "headers.html", [
      [ "1 Overview", "headers.html#autotoc_md133", null ],
      [ "2 Public Header Files", "headers.html#autotoc_md134", null ],
      [ "3 Private Header Files", "headers.html#autotoc_md135", null ],
      [ "4 Templates", "headers.html#autotoc_md136", null ]
    ] ],
    [ "How to Contribute", "md_contribution.html", [
      [ "1 Contributions and Pull Requests", "md_contribution.html#autotoc_md138", [
        [ "1.1 Issues and Labels", "md_contribution.html#autotoc_md139", null ]
      ] ]
    ] ],
    [ "Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"group__Deprecated.html",
"group__gAlpha.html#gaaa694b86a24ae15b092de1aa5dd0dea9",
"group__gHelper.html#structarm__2d__scene__player__t_8____unnamed123_____8Events",
"group__gKernel.html#gae1b849eccd10a282fdee383c4414892c",
"md__home_runner_work_Arm_2D_Arm_2D_README.html#autotoc_md21"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';