/*
 * Copyright (c) 2009-2021 Arm Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include <stdint.h>
#include "arm_2d.h"

#if defined(__clang__)
#   pragma clang diagnostic push
#   pragma clang diagnostic ignored "-Wmissing-variable-declarations"
#   pragma clang diagnostic ignored "-Wcast-qual"
#endif

__attribute__((aligned(2)))
const uint8_t c_bmpArrow[] = {

    /*Pixel format: Blue: 5 bit, Green: 6 bit, Red: 5 bit*/
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x9c, 0x9d, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x7a, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x39, 0x5c, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xbd, 0xc6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 0xff, 0xff, 
    0xff, 0xff, 0xba, 0x74, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x39, 0x5c, 0xff, 0xff, 
    0xbd, 0xc6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xbd, 0xc6, 
    0xfb, 0x84, 0xf9, 0x53, 0xf9, 0x53, 0xf9, 0x53, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xf9, 0x53, 0xf9, 0x53, 0xf9, 0x53, 0xf9, 0x53, 0x7a, 0x6c, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xd6, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0x98, 0x43, 0xfe, 0xd6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
};

extern const arm_2d_tile_t c_tileArrow;
const arm_2d_tile_t c_tileArrow = {
    .tRegion = {
        .tSize = {
            .iWidth = 19,
            .iHeight = 59
        },
    },
    .tInfo.bIsRoot = true,
    .phwBuffer = (uint16_t *)c_bmpArrow,
};


#if defined(__clang__)
#   pragma clang diagnostic pop
#endif
